Why can’t I see the Alertable app in the app store?

Check that the version of your device is compatible with the app

  • iPhone – iOS 11 or later
  • Android – Android Lollipop 5.1 or later
top